<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: PortStepper Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classPortStepper.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classPortStepper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PortStepper Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for PortStepper:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classPortStepper.png" usemap="#PortStepper_map" alt=""/>
  <map id="PortStepper_map" name="PortStepper_map">
<area href="classPort.html" alt="Port" shape="rect" coords="0,0,79,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a94a6f92105c2494d04f9f653a1bb156e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#a94a6f92105c2494d04f9f653a1bb156e">PortStepper</a> ()</td></tr>
<tr class="separator:a94a6f92105c2494d04f9f653a1bb156e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b31b632d5ca3a7eb504b1831a0c354d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#a7b31b632d5ca3a7eb504b1831a0c354d">begin</a> (uint8_t inPin1, uint8_t inPin2, PIN_TYPE inType = DIGITAL, uint8_t *inpSteps = NULL)</td></tr>
<tr class="separator:a7b31b632d5ca3a7eb504b1831a0c354d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65ea15eea81816a6501979b3ea94d481"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#a65ea15eea81816a6501979b3ea94d481">begin</a> (uint8_t inPin1, uint8_t inPin2, uint8_t inPin3, uint8_t inPin4, PIN_TYPE inType = DIGITAL, uint8_t *inpSteps = NULL)</td></tr>
<tr class="separator:a65ea15eea81816a6501979b3ea94d481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eea1361734ec9cbbaf6238982f92d65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#a1eea1361734ec9cbbaf6238982f92d65">MovePosition</a> (unsigned long inDuration, int inEndPosition)</td></tr>
<tr class="separator:a1eea1361734ec9cbbaf6238982f92d65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a417d33c4ec969fa72d38d1eb6b573c27"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#a417d33c4ec969fa72d38d1eb6b573c27">MoveRelativePosition</a> (unsigned long inDuration, int inIncrementalPosition)</td></tr>
<tr class="separator:a417d33c4ec969fa72d38d1eb6b573c27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4710032a0c5a5f59be3a13b48a9261"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#afb4710032a0c5a5f59be3a13b48a9261">run</a> ()</td></tr>
<tr class="separator:afb4710032a0c5a5f59be3a13b48a9261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a447defdd7477062573011be2a7bffb8a"><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#a447defdd7477062573011be2a7bffb8a">currentPosition</a> ()</td></tr>
<tr class="separator:a447defdd7477062573011be2a7bffb8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2c87ee824580b80a4d6696e0421fe1"><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#aef2c87ee824580b80a4d6696e0421fe1">targetPosition</a> ()</td></tr>
<tr class="separator:aef2c87ee824580b80a4d6696e0421fe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaec300bb6284c1f148273c95843ee8f3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#aaec300bb6284c1f148273c95843ee8f3">GetPosition</a> ()</td></tr>
<tr class="separator:aaec300bb6284c1f148273c95843ee8f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port</a> ()</td></tr>
<tr class="separator:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a> ()</td></tr>
<tr class="separator:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101241b7b8e820f3d0da3c435ad1b66e inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">beginByAccessory</a> (int inStartingPosition)</td></tr>
<tr class="separator:a101241b7b8e820f3d0da3c435ad1b66e inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">GetPinType</a> () const </td></tr>
<tr class="separator:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">GetState</a> () const </td></tr>
<tr class="separator:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">GetSpeed</a> () const </td></tr>
<tr class="separator:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a> (int inSpeed)</td></tr>
<tr class="separator:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">IsLeftDir</a> () const </td></tr>
<tr class="separator:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">IsRightDir</a> () const </td></tr>
<tr class="separator:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">IsStopped</a> () const </td></tr>
<tr class="separator:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef667cb477268c60f098300e139530ba inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:aef667cb477268c60f098300e139530ba inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab681b4f2e4bb26a31d80308a04e348f inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:aab681b4f2e4bb26a31d80308a04e348f inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a6af50e48788eedf1a4a95122082643">MoveLeftDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ac78e0a5b72fc16c1240cecb5d6fe2f7f">MoveRightDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">MoveToggle</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63cfeea67bec1eab18758d74cd435c00 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">MoveStop</a> ()</td></tr>
<tr class="separator:a63cfeea67bec1eab18758d74cd435c00 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a61b4c9fd238a4caec4de03b60fc60d66"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classLocoStepper.html">LocoStepper</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortStepper.html#a61b4c9fd238a4caec4de03b60fc60d66">pMotor</a></td></tr>
<tr class="separator:a61b4c9fd238a4caec4de03b60fc60d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a></td></tr>
<tr class="separator:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a></td></tr>
<tr class="separator:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a></td></tr>
<tr class="separator:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a> (int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a> (int inPin, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a> (int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class can drive a stepper motor, using the <a class="el" href="classLocoStepper.html" title="Support for stepper motors with acceleration etc. ">LocoStepper</a> class.</p>
<p>Positions are specified by a signed long integer. At construction time, the current position of the motor is consider to be 0. Positive positions are clockwise from the initial position; negative positions are anticlockwise. The current position can be altered for instance after initialization positioning.</p>
<p>See <a class="el" href="classLocoStepper.html" title="Support for stepper motors with acceleration etc. ">LocoStepper</a> class for more information. </p>

<p class="definition">Definition at line <a class="el" href="PortStepper_8hpp_source.html#l00025">25</a> of file <a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a94a6f92105c2494d04f9f653a1bb156e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PortStepper::PortStepper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="PortStepper_8cpp_source.html#l00011">11</a> of file <a class="el" href="PortStepper_8cpp_source.html">PortStepper.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a7b31b632d5ca3a7eb504b1831a0c354d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PortStepper::begin </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inPin1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inPin2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inType</em> = <code>DIGITAL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>inpSteps</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance of two pins stepper motor. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPin1</td><td>Command pin 1 for the stepper. </td></tr>
    <tr><td class="paramname">inPin2</td><td>Command pin 2 for the stepper. </td></tr>
    <tr><td class="paramname">inType</td><td>kind of all the pins. Can be only DIGITAL or DIGITAL_INVERTED. Default is DIGITAL. </td></tr>
    <tr><td class="paramname">inpSteps</td><td>specific step list. Default is NULL. It gives the caller the possibility to fix himself the sequence of pins activation. If nothing is specifed, a default value will be used: <pre class="fragment">B01, B11, B10, B00.
</pre> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="PortStepper_8cpp_source.html#l00015">15</a> of file <a class="el" href="PortStepper_8cpp_source.html">PortStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a65ea15eea81816a6501979b3ea94d481"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PortStepper::begin </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inPin1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inPin2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inPin3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>inPin4</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inType</em> = <code>DIGITAL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>inpSteps</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance for four pins stepper motor. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPin1</td><td>Command pin 1 for the stepper. </td></tr>
    <tr><td class="paramname">inPin2</td><td>Command pin 2 for the stepper. </td></tr>
    <tr><td class="paramname">inPin3</td><td>Command pin 3 for the stepper. </td></tr>
    <tr><td class="paramname">inPin4</td><td>Command pin 4 for the stepper. </td></tr>
    <tr><td class="paramname">inType</td><td>kind of all the pins. Can be only DIGITAL or DIGITAL_INVERTED. Default is DIGITAL. </td></tr>
    <tr><td class="paramname">inpSteps</td><td>specific step list. Default is NULL. It gives the caller the possibility to fix himself the sequence of pins activation. If nothing is specifed, a default value will be used: <pre class="fragment">B1010, B0110, B0101, B1001 for four wires stepper
</pre> These steps are those working for a 28BYJ very common and inexpensive small stepper. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="PortStepper_8cpp_source.html#l00020">20</a> of file <a class="el" href="PortStepper_8cpp_source.html">PortStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a447defdd7477062573011be2a7bffb8a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">long PortStepper::currentPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the current position. </p><dl class="section return"><dt>Returns</dt><dd>current position. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortStepper_8hpp_source.html#l00083">83</a> of file <a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aaec300bb6284c1f148273c95843ee8f3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortStepper::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the current position. </p><dl class="section return"><dt>Returns</dt><dd>current position. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>This function is the same than <a class="el" href="classPortStepper.html#a447defdd7477062573011be2a7bffb8a">currentPosition()</a> and is only defined to match <a class="el" href="classAccessory.html">Accessory</a> class functions. </dd></dl>

<p>Reimplemented from <a class="el" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortStepper_8hpp_source.html#l00093">93</a> of file <a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a1eea1361734ec9cbbaf6238982f92d65"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortStepper::MovePosition </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEndPosition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Move the stepper to the given position using a given duration. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the movement should take the time of this delay. </td></tr>
    <tr><td class="paramname">inEndPosition</td><td>final position to reach. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classPort.html#a960a487c2833fc23e9285a7615f41379">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortStepper_8cpp_source.html#l00045">45</a> of file <a class="el" href="PortStepper_8cpp_source.html">PortStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a417d33c4ec969fa72d38d1eb6b573c27"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PortStepper::MoveRelativePosition </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inIncrementalPosition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Move the servo of the given value from the current position using a given duration. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the movement should take the time of this delay. </td></tr>
    <tr><td class="paramname">inIncrementalPosition</td><td>position to move. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="PortStepper_8cpp_source.html#l00057">57</a> of file <a class="el" href="PortStepper_8cpp_source.html">PortStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="afb4710032a0c5a5f59be3a13b48a9261"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool PortStepper::run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Poll the motor and step it if a step is due. You must call this as frequently as possible, but at least once per minimum step interval, preferably in your main loop. </p><dl class="section return"><dt>Returns</dt><dd>true if the motor is still going to the target position. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortStepper_8hpp_source.html#l00079">79</a> of file <a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aef2c87ee824580b80a4d6696e0421fe1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">long PortStepper::targetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the target position. </p><dl class="section return"><dt>Returns</dt><dd>target position. This is equal to current position if no movement is goining... </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortStepper_8hpp_source.html#l00087">87</a> of file <a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a61b4c9fd238a4caec4de03b60fc60d66"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLocoStepper.html">LocoStepper</a>* PortStepper::pMotor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Instance of <a class="el" href="classLocoStepper.html" title="Support for stepper motors with acceleration etc. ">LocoStepper</a> class. </p>

<p class="definition">Definition at line <a class="el" href="PortStepper_8hpp_source.html#l00029">29</a> of file <a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortStepper_8hpp_source.html">PortStepper.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortStepper_8cpp_source.html">PortStepper.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classPortStepper.html">PortStepper</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
